org.apache.calcite.avatica.remote

## Class Service.SyncResultsRequest

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Request
    - - org.apache.calcite.avatica.remote.Service.SyncResultsRequest

Enclosing interface:
  Service

    public static class Service.SyncResultsRequest
    extends Service.Request

Request for `Service.apply(SyncResultsRequest)`

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `CONNECTION_ID_DESCRIPTOR`
`String` `connectionId`
`long` `offset`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `OFFSET_DESCRIPTOR`
`QueryState` `state`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `STATE_DESCRIPTOR`
`private static com.google.protobuf.Descriptors.FieldDescriptor` `STATEMENT_ID_DESCRIPTOR`
`int` `statementId`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`SyncResultsRequest()`
`SyncResultsRequest(String connectionId, int statementId, QueryState state, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) Service.SyncResultsResponse` `accept(Service service)`
`(package private) Service.Request` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`(package private) Requests.SyncResultsRequest` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_ID_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor CONNECTION_ID_DESCRIPTOR

#### STATEMENT_ID_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor STATEMENT_ID_DESCRIPTOR

#### STATE_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor STATE_DESCRIPTOR

#### OFFSET_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor OFFSET_DESCRIPTOR

#### connectionId

    public final String connectionId

#### statementId

    public final int statementId

#### state

    public final QueryState state

#### offset

    public final long offset

### Constructor Detail

#### SyncResultsRequest

    SyncResultsRequest()

#### SyncResultsRequest

    public SyncResultsRequest(String connectionId,
                              int statementId,
                              QueryState state,
                              long offset)

### Method Detail

#### accept

    Service.SyncResultsResponse accept(Service service)

Specified by:
  `accept` in class `Service.Request`

#### deserialize

    Service.Request deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Request`

#### serialize

    Requests.SyncResultsRequest serialize()

Specified by:
  `serialize` in class `Service.Request`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`